<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4091
Name: Safety Equipment Observation Organizer
Description: Safety Equipment Observation Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4091-2017-02-01T000000">
   <title>Safety Equipment Observation Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4091
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]
Item: (SafetyEquipmentObservationOrganizer)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4091
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]
Item: (SafetyEquipmentObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]"
         id="d119e3563-false-d37173e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="string(@classCode)=('CLUSTER')">(SafetyEquipmentObservationOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(SafetyEquipmentObservationOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(SafetyEquipmentObservationOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(SafetyEquipmentObservationOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4091'])&gt;=1">(SafetyEquipmentObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4091'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4091'])&lt;=1">(SafetyEquipmentObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4091'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(SafetyEquipmentObservationOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(SafetyEquipmentObservationOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]])&gt;=1">(SafetyEquipmentObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]])&lt;=1">(SafetyEquipmentObservationOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4091
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:templateId[@root='1.2.276.0.76.10.4091']
Item: (SafetyEquipmentObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:templateId[@root='1.2.276.0.76.10.4091']"
         id="d119e3569-false-d37242e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SafetyEquipmentObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4091')">(SafetyEquipmentObservationOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4091' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(SafetyEquipmentObservationOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4091
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (SafetyEquipmentObservationOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e3574-false-d37263e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SafetyEquipmentObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="@nullFlavor or (@code='completed')">(SafetyEquipmentObservationOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4091
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]]
Item: (SafetyEquipmentObservationOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4091']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4096']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(SafetyEquipmentObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SafetyEquipmentObservationOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(SafetyEquipmentObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4091-2017-02-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SafetyEquipmentObservationOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
