<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4166
Name: Disposition Trauma
Description: Weiterbehandlung/Verlegung des Patienten (Trauma)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4166-2017-04-05T000000">
   <title>Disposition Trauma</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4166
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]
Item: (DispositionTrauma)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]"
         id="d119e9933-false-d58796e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']])&gt;=1">(DispositionTrauma): Element hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']])&lt;=1">(DispositionTrauma): Element hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4166
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]
Item: (DispositionTrauma)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]"
         id="d119e9962-false-d58820e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="string(@classCode)=('ACT')">(DispositionTrauma): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="string(@moodCode)=('INT')">(DispositionTrauma): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4166'])&gt;=1">(DispositionTrauma): Element hl7:templateId[@root='1.2.276.0.76.10.4166'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4166'])&lt;=1">(DispositionTrauma): Element hl7:templateId[@root='1.2.276.0.76.10.4166'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(DispositionTrauma): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(DispositionTrauma): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:text)&lt;=1">(DispositionTrauma): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4166
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:templateId[@root='1.2.276.0.76.10.4166']
Item: (DispositionTrauma)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:templateId[@root='1.2.276.0.76.10.4166']"
         id="d119e9968-false-d58873e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DispositionTrauma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4166')">(DispositionTrauma): Der Wert von @root MUSS '1.2.276.0.76.10.4166' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4166
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (DispositionTrauma)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d119e9973-false-d58893e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DispositionTrauma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.85-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(DispositionTrauma): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.85 Disposition Trauma (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4166
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:text
Item: (DispositionTrauma)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:text"
         id="d119e9978-false-d58918e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DispositionTrauma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:reference)&gt;=1">(DispositionTrauma): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="count(hl7:reference)&lt;=1">(DispositionTrauma): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4166
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:text/hl7:reference
Item: (DispositionTrauma)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4166']]/hl7:text/hl7:reference"
         id="d119e9983-false-d58944e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170504T112921/tmp-1.2.276.0.76.10.4166-2017-04-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DispositionTrauma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
</pattern>
